package config

import "time"

type Config struct {
	GitlabHost  string      `yaml:"gitlabHost" json:"gitlabHost"`
	GitlabToken string      `yaml:"gitlabToken" json:"gitlabToken"`
	LogLevel    string      `yaml:"logLevel" json:"logLevel" enum:"info,warn,debug,error"`
	ProjectPath string      `yaml:"projectPath" json:"projectPath"`
	Cache       cacheConfig `yaml:"cache" json:"cache"`
	Dump        struct {
		Full bool
	}
}

type cacheConfig struct {
	Ttl   time.Duration `yaml:"ttl" json:"ttl"`
	File  string        `yaml:"file" json:"file"`
	Clear struct {
		ClearAliases bool `yaml:"clearAliases" json:"clearAliases"`
	} `yaml:"clear" json:"clear"`
}
